### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.information.metadata

# Interface SASClientConnectionInterface

All Superinterfaces:
  `ConnectionInterface`, `MetadataInterface`, `PublicObjectInterface`, `Remote`

@SASScope("ALL") @BinaryCompatibilityOnly public interface SASClientConnectionInterface extends ConnectionInterface

- ## Field Summary

  ### Fields inherited from interface com.sas.services.information.metadata.MetadataInterface

  `METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addLibrary(SASLibraryInterface library)`
  Add a library to the list that are accessible through this connection.
  `void`
  `addScriptFile(FileInterface file)`
  Add a script file to this connection.
  `List`
  `getLibraries()`
  Get the list of libraries accessible via this connection.
  `int`
  `getPort()`
  Get the port number for the connection.
  `String`
  `getRemoteAddress()`
  Get the remote address of the connection.
  `List`
  `getScriptFiles()`
  Get the List of script files that execute for this connection.
  `String`
  `getServerShortName()`
  Get the short name of the server.
  `String`
  `getService()`
  Get the service string for the connection.
  `void`
  `removeLibrary(SASLibraryInterface library)`
  Remove a library from the list that are accessible through this connection.
  `void`
  `removeScriptFile(FileInterface file)`
  Remove a script file from this connection.
  `void`
  `setLibraries(List libraries)`
  Set the list of libraries that are accessible via this connection.
  `void`
  `setPort(int port)`
  Set the port number for the connection.
  `void`
  `setRemoteAddress(String remoteAddress)`
  Set the remote address of the connection.
  `void`
  `setScriptFiles(List files)`
  Set the list of script files on this connection.
  `void`
  `setServerShortName(String serverName)`
  Set the server's short name.
  `void`
  `setService(String service)`
  Set the service string for the connection.

  ### Methods inherited from interface com.sas.services.information.metadata.ConnectionInterface

  `addProvider, getApplicationProtocol, getAuthenticationType, getCommunicationProtocol, getDomain, getProperties, getProviders, getSource, removeProvider, setApplicationProtocol, setAuthenticationType, setCommunicationProtocol, setDomain, setProperty, setProviders, setSource`

  ### Methods inherited from interface com.sas.services.information.metadata.MetadataInterface

  `add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isObjectAlive, isReadCompatible, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

  ### Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface

  `addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

- ## Method Details

  - ### getServerShortName

    String getServerShortName() throws ServiceException, RemoteException
    Get the short name of the server.
    Returns:
      The server short name.
    Throws:
      `ServiceException` - If a server error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### setServerShortName

    void setServerShortName(String serverName) throws ServiceException, RemoteException
    Set the server's short name.
    Parameters:
      `serverName` - The server's short name.
    Throws:
      `ServiceException` - If a server error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getRemoteAddress

    String getRemoteAddress() throws ServiceException, RemoteException
    Get the remote address of the connection.
    Returns:
      The connection remote address.
    Throws:
      `ServiceException` - If a server error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### setRemoteAddress

    void setRemoteAddress(String remoteAddress) throws ServiceException, RemoteException
    Set the remote address of the connection.
    Parameters:
      `remoteAddress` - The connection remote address.
    Throws:
      `ServiceException` - If a server error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getService

    String getService() throws ServiceException, RemoteException
    Get the service string for the connection.
    Returns:
      The connection service string.
    Throws:
      `ServiceException` - If a server error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### setService

    void setService(String service) throws ServiceException, RemoteException
    Set the service string for the connection.
    Parameters:
      `service` - The connection's serice string.
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getPort

    int getPort() throws ServiceException, RemoteException
    Get the port number for the connection.
    Returns:
      The connection's port number.
    Throws:
      `ServiceException` - If a server error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### setPort

    void setPort(int port) throws ServiceException, RemoteException
    Set the port number for the connection.
    Parameters:
      `port` - The connection's port number.
    Throws:
      `ServiceException` - If a server error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getLibraries

    List getLibraries() throws ServiceException, RemoteException
    Get the list of libraries accessible via this connection.
    Returns:
      A List of `SASLibraryInterface` objects accessible via this connection.
    Throws:
      `ServiceException` - If a server error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### addLibrary

    void addLibrary(SASLibraryInterface library) throws ServiceException, RemoteException
    Add a library to the list that are accessible through this connection.
    Parameters:
      `library` - The `SASLibraryInterface` to add to the libraries list.
    Throws:
      `ServiceException` - If a server error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### removeLibrary

    void removeLibrary(SASLibraryInterface library) throws ServiceException, RemoteException
    Remove a library from the list that are accessible through this connection.
    Parameters:
      `library` - The `SASLibraryInterface` object to remove from the libraries list.
    Throws:
      `ServiceException` - If a server error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### setLibraries

    void setLibraries(List libraries) throws ServiceException, RemoteException
    Set the list of libraries that are accessible via this connection.
    Parameters:
      `libraries` - The List of `SASLibraryInterface` objects accessible via this connection.
    Throws:
      `ServiceException` - If a server error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getScriptFiles

    List getScriptFiles() throws ServiceException, RemoteException
    Get the List of script files that execute for this connection.
    Returns:
      A List of `FileInterface` object that are scripts for this connection.
    Throws:
      `ServiceException` - If a server error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### addScriptFile

    void addScriptFile(FileInterface file) throws ServiceException, RemoteException
    Add a script file to this connection.
    Parameters:
      `file` - A `FileInterface` object to add to the list of scripts.
    Throws:
      `ServiceException` - If a server error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### removeScriptFile

    void removeScriptFile(FileInterface file) throws ServiceException, RemoteException
    Remove a script file from this connection.
    Parameters:
      `file` - A `FileInterface` object to remove from this script list.
    Throws:
      `ServiceException` - If a server error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### setScriptFiles

    void setScriptFiles(List files) throws ServiceException, RemoteException
    Set the list of script files on this connection.
    Parameters:
      `files` - A List of `FileInterface` objects acting as scripts for this connection.
    Throws:
      `ServiceException` - If a server error occurs.
      `RemoteException` - In the event of remote object failure.